
%define realname   Devel-TakeHashArgs
%define version    0.005
%define release    %mkrel 2

Name:       perl-%{realname}
Version:    %{version}
Release:    %{release}
License:    GPL or Artistic
Group:      Development/Perl
Summary:    make a hash from @_ and set defaults in subs while checking that all mandatory arguments are present
Source:     http://www.cpan.org/modules/by-module/Devel/%{realname}-%{version}.tar.gz
Url:        http://search.cpan.org/dist/%{realname}
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: perl-devel
BuildRequires: perl(Exporter)
BuildRequires: perl(Test::More)
BuildRequires: perl(Module::Build::Compat)

BuildArch: noarch

%description

The module is a short utility I made after being sick and tired of writing
redundant code to make a hash out of args when they are passed as key/value
pairs including setting their defaults and checking for mandatory
arguments.





%prep
%setup -q -n %{realname}-%{version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README META.yml Changes
%{_mandir}/man3/*
%perl_vendorlib/*





%changelog
* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.005-2mdv2009.0
+ Revision: 268429
- rebuild early 2009.0 package (before pixel changes)

* Wed Apr 16 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.005-1mdv2009.0
+ Revision: 194849
- update to new version 0.005
- update to new version 0.005

* Sat Apr 12 2008 Olivier Thauvin <nanardon@mandriva.org> 0.004-1mdv2009.0
+ Revision: 192623
- import perl-Devel-TakeHashArgs


